Name:           strawberry
Version:        1.0.23
%if 0%{?suse_version}
Release:        1.lp155
%else
Release:        1%{?dist}
%endif
Summary:        A music player and music collection organizer
Group:          Productivity/Multimedia/Sound/Players
License:        GPL-3.0+
URL:            https://www.strawberrymusicplayer.org/
Source0:        %{name}-1.0.23.tar.xz

%if 0%{?suse_version}
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  make
BuildRequires:  git
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
BuildRequires:  appstream-glib
%endif
%if 0%{?fedora} || 0%{?rhel_version} || 0%{?centos}
BuildRequires:  libappstream-glib
%endif
%if 0%{?mageia} || "%{?_vendor}" == "openmandriva"
BuildRequires:  appstream-util
%endif
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(protobuf)
BuildRequires:  pkgconfig(sqlite3) >= 3.9
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5LinguistTools)
%if "5" == "5"
BuildRequires:  cmake(Qt5X11Extras)
%endif
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-audio-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(libchromaprint)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libebur128)
BuildRequires:  pkgconfig(libgpod-1.0)
BuildRequires:  pkgconfig(libmtp)
%if 0%{?suse_version} || 0%{?fedora_version}
BuildRequires:  pkgconfig(libvlc)
%endif

%if 0%{?suse_version}
  %if "5" == "6"
Requires:  qt6-sql-sqlite
Requires:  qt6-network-tls
  %endif
  %if "5" == "5"
Requires:  libQt5Sql5-sqlite
  %endif
%endif

%description
Strawberry is a music player and music collection organizer.
It is a fork of Clementine. The name is inspired by the band Strawbs.

Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, Ogg FLAC, Ogg Vorbis, Ogg Opus, Ogg Speex,
    MPC, TrueAudio, AIFF, MP4, MP3, ASF and Monkey's Audio.
  - Audio CD playback
  - Native desktop notifications
  - Playlist management
  - Playlists in multiple formats
  - Advanced audio output and device configuration for bit-perfect playback on Linux
  - Edit tags on audio files
  - Automatically retrieve tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer, Tidal, Qobuz and Spotify
  - Song lyrics from Genius, Musixmatch, ChartLyrics, lyrics.ovh, lololyrics.com, songlyrics.com, azlyrics.com, elyrics.net and lyricsmode.com
  - Support for multiple backends
  - Audio analyzer
  - Audio equalizer
  - Scrobbler with support for Last.fm, Libre.fm and ListenBrainz
  - Transfer music to mass-storage USB players, MTP compatible devices and iPod Nano/Classic
  - Streaming support for Subsonic-compatible servers
  - Unofficial streaming support for Tidal and Qobuz

%if 0%{?suse_version}
%debug_package
%endif

%prep
%setup -qn %{name}-1.0.23

%build
%if 0%{?fedora} || 0%{?rhel_version} || 0%{?centos}
  export CXXFLAGS="-fPIC $RPM_OPT_FLAGS"
%endif
%if "%{?_vendor}" == "openmandriva"
%{cmake} -DQT_VERSION_MAJOR=5 -DENABLE_TRANSLATIONS=OFF
%make_build
%else
%{cmake} -DQT_VERSION_MAJOR=5
%cmake_build
%endif

%install
%if "%{?_vendor}" == "openmandriva"
%make_install -C build
%else
%cmake_install
%endif

%if 0%{?suse_version}
  %suse_update_desktop_file org.strawberrymusicplayer.strawberry Qt AudioVideo Audio Player
%endif

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.strawberrymusicplayer.strawberry.desktop
%if 0%{?suse_version}
  appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.strawberrymusicplayer.strawberry.appdata.xml
%else
  appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.strawberrymusicplayer.strawberry.appdata.xml
%endif

%files
%defattr(-,root,root,-)
%doc README.md Changelog
%license COPYING
%{_bindir}/strawberry
%{_bindir}/strawberry-tagreader
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/strawberry.*
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-tagreader.1.*
%if 0%{?suse_version}
%{_datadir}/metainfo/*.appdata.xml
%else
%{_metainfodir}/*.appdata.xml
%endif

%changelog
* Thu Jan 11 2024 Jonas Kvinge <jonas@jkvinge.net> - 1.0.23
- Version 1.0.23
